# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:	Run window for Blackbox
Name:		bbrun
Version:	1.6
Release:	alt1_13
License:	GPLv2+
Group:		Toys
Url:		http://www.darkops.net/bbrun
Source0:	http://www.darkops.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:		bbrun-1.6-linkage.patch
Patch1:		bbrun-1.6-gcc5.patch
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xpm)
Source44: import.info

%description
bbrun is a run window for Blackbox with dropdown history list.

%files
%doc README Changelog COPYING CREDITS
%{_bindir}/*
%{_datadir}/applications/rosa-%{name}.desktop

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1
find . -perm 0600 | xargs chmod 0644

%build
cd bbrun
%make

%install
install -d %{buildroot}%{_bindir}
install bbrun/bbrun %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/rosa-%{name}.desktop << EOF
[Desktop Entry]
Name=BB Run
Comment=BlackBox Run Window
Exec=%{_bindir}/%{name}
Icon=office_accessories_section
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Office-Accessories;Office;Utility;
EOF


%changelog
* Thu Mar 07 2019 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_13
- new version

* Fri Apr 19 2013 Dmitry V. Levin (QA) <qa_ldv@altlinux.org> 1.4-alt3.3.qa1
- NMU: rebuilt for updated dependencies.

* Tue Jul 17 2012 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.4-alt3.3
- Fixed build

* Mon Mar 28 2011 Igor Vlasenko <viy@altlinux.ru> 1.4-alt3.2
- NMU: converted debian menu to freedesktop

* Tue Dec 02 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.4-alt3.1
- NMU:
  * updated build dependencies

* Sat Nov 15 2008 Igor Zubkov <icesik@altlinux.org> 1.4-alt3
- apply patch from repocop
- buildreq

* Fri Apr 07 2006 Igor Zubkov <icesik@altlinux.ru> 1.4-alt2
- add packager tag
- remove common-licenses from Requires
- buildreq

* Mon Feb 24 2003 Alexey Tourbin <at@altlinux.ru> 1.4-alt1
- initial revision
